﻿@using System.Data
@model DataTable
@{
    Layout = null;
}
@using (Html.BeginForm("UploadAdmissionData", "ExcelImport", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <!--Show the Data Table on the View after reading the Excel File-->
    if (Model != null)
    {
        <table class="table table-striped- table-bordered table-hover table-checkable" id="kt_table_1">
            <thead>
                <tr>
                    <th>Admission</th>
                    <th>Class</th>
                    <th>Apply Date</th>
                    <th>Submit Date</th>
                    <th>Offer</th>
                    <th>Full Name</th>
                    <th>Gender</th>
                    <th>Marital</th>
                    <th>Birth Date</th>
                    <th>Nationality</th>
                    <th>Emirates Id</th>
                    <th>Emirates Id Expiry</th>
                    <th>Mobile Num</th>
                    <th>Email</th>
                    <th>Eligibility</th>
                    <th>Date Register</th>
                    <th>Date Activate</th>
                    <th>Primary Mobile Num</th>
                </tr>
            </thead>
            <tbody>
                @for (int i = 0; i < Model.Rows.Count; i++)
                {
                <tr>
                    <td>@Model.Rows[i][0]</td>
                    <td>@Model.Rows[i][1]</td>
                    <td>@Model.Rows[i][2]</td>
                    <td>@Model.Rows[i][3]</td>
                    <td id="@i">@Model.Rows[i][4]</td>
                    <td>@Model.Rows[i][5]</td>
                    <td>@Model.Rows[i][6]</td>
                    <td>@Model.Rows[i][7]</td>
                    <td>@Model.Rows[i][8]</td>
                    <td>@Model.Rows[i][9]</td>
                    <td>@Model.Rows[i][10]</td>
                    <td>@Model.Rows[i][11]</td>
                    <td>@Model.Rows[i][12]</td>
                    <td>@Model.Rows[i][13]</td>
                    <td>@Model.Rows[i][14]</td>
                    <td>@Model.Rows[i][15]</td>
                    <td>@Model.Rows[i][16]</td>
                    <td>@Model.Rows[i][17]</td>
                    <input type="hidden" value="@Model.Rows[i][0]" name="Admission[]" />
                    <input type="hidden" value="@Model.Rows[i][1]" name="Class[]" />
                    <input type="hidden" value="@Model.Rows[i][2]" name="ApplyDate[]" />
                    <input type="hidden" value="@Model.Rows[i][3]" name="SubmitDate[]" />
                    <input type="hidden" value="@Model.Rows[i][4]" name="Offer[]" />
                    <input type="hidden" value="@Model.Rows[i][5]" name="FullName[]" />
                    <input type="hidden" value="@Model.Rows[i][6]" name="Gender[]" />
                    <input type="hidden" value="@Model.Rows[i][7]" name="Marital[]" />
                    <input type="hidden" value="@Model.Rows[i][8]" name="BirthDate[]" />
                    <input type="hidden" value="@Model.Rows[i][9]" name="Nationality[]" />
                    <input type="hidden" value="@Model.Rows[i][10]" name="EmiratesId[]" />
                    <input type="hidden" value="@Model.Rows[i][12]" name="MobileNum[]" />
                    <input type="hidden" value="@Model.Rows[i][13]" name="Email[]" />
                    <input type="hidden" value="@Model.Rows[i][14]" name="Eligibility[]" />
                    <input type="hidden" value="@Model.Rows[i][15]" name="RegisterDate[]" />
                    <input type="hidden" value="@Model.Rows[i][16]" name="ActivationDate[]" />
                    <input type="hidden" value="@Model.Rows[i][17]" name="PrimaryMobileNum[]" />
                </tr>
                }
            </tbody>
        </table>

        <div class="row">
            <div class="col-md-12 col-lg-12 col-sm-12 col-xl-12" data-step="3" data-intro="Tap/Click on submit to upload bulk data!">
                <!--Display Error Message-->
                <input type="submit" class="btn btn-primary" value="Upload" />
            </div>
        </div>
    }
}





